ns3 (3.37-2) unstable; urgency=medium

  * Source-only upload.

 -- Martin Quinson <mquinson@debian.org>  Mon, 23 Jan 2023 15:59:02 +0100

ns3 (3.37-1) unstable; urgency=medium

  * New upstream release.
    * Waf files are gone upstream, so we don't need to repack the tarfiles.
    * Re-enable the ns3 package, which content is now properly installed
      upstream.
    * Python bindings now depend on ccppy, which is not packaged in
      Debian, so this package does not provide these bindings anymore.
      Closes: #1027902 (even if not in a pleasant way).
  * d/control: bump Standards-Version to 4.6.2 (no change needed).

 -- Martin Quinson <mquinson@debian.org>  Sat, 14 Jan 2023 10:18:14 +0100

ns3 (3.36.1+dfsg-5) unstable; urgency=medium

  [Gard Spreemann]
  * Enable building upstream's relatively new "version" module
    (Closes: #1016535).

 -- Martin Quinson <mquinson@debian.org>  Tue, 02 Aug 2022 21:15:15 +0200

ns3 (3.36.1+dfsg-4) unstable; urgency=medium

  * Fix the lintian override for lena images (it's also a protocol name).
  * d/watch: update to v4.

 -- Martin Quinson <mquinson@debian.org>  Sun, 10 Jul 2022 21:17:04 +0200

ns3 (3.36.1+dfsg-3) unstable; urgency=medium

  * Don't hardcode CMAKE_INSTALL_LIBDIR=lib/x86_64-linux-gnu but use
    DEB_BUILD_MULTIARCH as expected.
    - The story is that I had to mimic what dh is doing when using
      cmake because I cannot use cmake directly but only through the
      ./ns3 script.
    - Obviously, I was too quick when copy/pasting the values. Sorry.
  * Give !nodoc as a profile to the ns3-doc package, and only build
    the doc in the build-indep target, not the build-arch one.
  * Re-enable the mispel architecture (Closes: #951115).
  * Remove MPI from the dependencies since I disabled it in the build.

 -- Martin Quinson <mquinson@debian.org>  Mon, 04 Jul 2022 15:14:36 +0200

ns3 (3.36.1+dfsg-2) unstable; urgency=medium

  * Re-enable the ns3-doc package.
  * Disable MPI support as it fails on non-amd platforms.

 -- Martin Quinson <mquinson@debian.org>  Sun, 03 Jul 2022 18:11:09 +0200

ns3 (3.36.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: move from waf to cmake, following upstream.
  * d/patches/no_rpath_for_mpi.diff: dropped.
    Upstream removed rpath while converting from waf to cmake.
  * d/p/add_vnum_to_shared,waf_in_applications_is_not_link, enable_logs:
    Dropped. Upstream dropped waf.
  * d/p/python310: was picked from upstream, so now integrated.
  * Do not install any binary anymore, to follow what upstream is doing.
  * d/p/fix-cairo-i386: fix a FTBFS on i386 (patch picked upstream).
  * Unfortunately, I had to drop the packages ns3-doc and python3-ns3
    because the corresponding files are not installed anymore by
    upstream scripts and I don't know these scripts enough to hack them.
  * Also drop the ns3 package as its content is not installed by
    upstream anymore.
  * d/p/library-soversion: new. Give a VERSION to all libraries.
  * Adapt ns3++ helper script to multiarch environments (Salsa 3!).
    Thanks Gard Spreemann for the patch (Closes: #995776).
  * Rename the libns3-3v5 package to libns3.36 to make versions
    co-installable.

 -- Martin Quinson <mquinson@debian.org>  Sat, 02 Jul 2022 12:45:50 +0200

ns3 (3.35+dfsg-2) unstable; urgency=medium

  * d/p/python310: Fix FTBFS with Python 3.10 (Closes: #1008795).

 -- Martin Quinson <mquinson@debian.org>  Mon, 04 Apr 2022 10:10:18 +0200

ns3 (3.35+dfsg-1) unstable; urgency=medium

  * New upstream release (see /usr/share/doc/ns3/NEWS).
  * d/control: Bump debhelper dependency to 13.
    - Add ImageMagick/policy.xml to d/not-installed to please dh_missing.
  * d/rules: Remove -Wl,--as-needed from LDFLAGS as it is now the
    default for bullseye (thx, Lintian).

 -- Martin Quinson <mquinson@debian.org>  Mon, 04 Oct 2021 12:02:23 +0200

ns3 (3.34+dfsg-4) unstable; urgency=medium

  * Drop the suggest on python3-kiwi that does not exist.
  * Mark libns3-3v5 as 'Multi-Arch: same'.
  * Add the missing dependency libns3-dev → libopenmpi-dev.

 -- Martin Quinson <mquinson@debian.org>  Tue, 31 Aug 2021 21:16:41 +0200

ns3 (3.34+dfsg-3) unstable; urgency=medium

  * Fix FTBFS when building for a given architecture only (only patch
    the doc when it's built).

 -- Martin Quinson <mquinson@debian.org>  Mon, 23 Aug 2021 21:43:16 +0200

ns3 (3.34+dfsg-2) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.6.0 (no change needed).
  * Use javascript libraries from libjs-sphinxdoc to please lintian.

 -- Martin Quinson <mquinson@debian.org>  Mon, 23 Aug 2021 20:16:14 +0200

ns3 (3.34+dfsg-1) unstable; urgency=medium

  * New upstream release (see /usr/share/doc/ns3/NEWS).
  * d/rules: add a override_dh_link to remove duplicated files in doc.

 -- Martin Quinson <mquinson@debian.org>  Mon, 16 Aug 2021 19:22:01 +0200

ns3 (3.31+dfsg-3) unstable; urgency=medium

  * Add a missing dependency from ns3-doc onto libjs-sphinxdoc
    (Closes: #990666).
  * d/p/imagemagick_policy: new patch to circumvent the overly
    protective restrictions in ImageMagik while building the package, as
    we do trust the package content. Patch from Dennis Filder: thanks!
    (Closes: #991061).

 -- Martin Quinson <mquinson@debian.org>  Sat, 17 Jul 2021 01:19:45 +0200

ns3 (3.31+dfsg-2) unstable; urgency=medium

  * Cherry-pick an upstream commit to fix FTBFS on 32bits architectures.

 -- Martin Quinson <mquinson@debian.org>  Fri, 24 Jul 2020 22:40:01 +0200

ns3 (3.31+dfsg-1) unstable; urgency=medium

  * New upstream release (see /usr/share/doc/ns3/NEWS).

 -- Martin Quinson <mquinson@debian.org>  Wed, 22 Jul 2020 09:04:57 +0200

ns3 (3.30+dfsg-5) unstable; urgency=medium

  * Drop the build-dep on libboost-signals-dev, which does not exist
    in boost1.71 anymore and was not used (Closes: #953819).

 -- Martin Quinson <mquinson@debian.org>  Sat, 14 Mar 2020 00:07:39 +0100

ns3 (3.30+dfsg-4) unstable; urgency=medium

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Use secure URI in Homepage field.
  * Bump debhelper dependency to >= 12, since that's what is used in
    debian/compat.
  * Move source package lintian overrides to debian/source.
  * Set debhelper-compat version in Build-Depends.
  * Changed vcs type from git to Git based on URL.
  * Rely on pre-initialized dpkg-architecture variables.
  * Update standards version to 4.4.1, no changes needed.

  [ Helmut Grohne ]
  * Don't build documentation during arch-only.
  * Drop support for DEB_BUILD_OPTIONS=nodoc, build indep-only instead.
  * Demote a lot of dependencies to B-D-I (Closes: #949773).

  [ Martin Quinson ]
  * Acknowledge the NMU of Sandro Tosi and merge the work of the Janitor.
  * Drop the debug symbols on mipsel to save memory at link time.
    The package was FTBFS because of a OOM while linking.
  * Remove mipsel from the architectures we build on, since I really
    fail to get the linker to fit under the 32bits limits (see #951115).

 -- Martin Quinson <mquinson@debian.org>  Tue, 11 Feb 2020 16:47:47 +0100

ns3 (3.30+dfsg-3.1) unstable; urgency=medium

  * Team upload.
  * Drop python2 modules dependencies; Closes: #937163, #948660, #943978

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Jan 2020 17:01:40 -0500

ns3 (3.30+dfsg-3) unstable; urgency=medium

  * Fix FTBFS: move all Build-Depends-Indeps to Build-Depends.

 -- Martin Quinson <mquinson@debian.org>  Mon, 16 Sep 2019 11:18:03 +0200

ns3 (3.30+dfsg-2) unstable; urgency=medium

  * Make ns3-doc 'Multi-Arch: foreign'
  * d/c: Fix Standard-Version to 4.4.0 (4.4 is not a valid value)
  * Bump dh compat to 12.
  * Rename package python-ns3 into python3-ns3 as it is for python3
    nowadays.
  * Define CFLAGS and friends to harden the build.

 -- Martin Quinson <mquinson@debian.org>  Sun, 08 Sep 2019 17:25:36 +0200

ns3 (3.30+dfsg-1) unstable; urgency=medium

  * New upstream release (see /usr/share/doc/ns3/NEWS).
    - Switch from python 2 to python 3 (Closes: #937163).
  * d/p/{include_climit,sphinx_imgmath.diff}: Patches applied upstream.
  * d/control: Bump the standard version to 4.4:
    - Install the upstream release notes as NEWS in /usr/share/doc

 -- Martin Quinson <mquinson@debian.org>  Sun, 01 Sep 2019 23:06:38 +0200

ns3 (3.29+dfsg-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Dmitry Shachnev ]
  * Backport upstream change to use Sphinx imgmath extension instead
    of pngmath, which is removed in Sphinx 1.8 (closes: #918822).
  * Add dvipng to Build-Depends-Indep to make math images generated.

 -- Martin Quinson <mquinson@debian.org>  Sun, 13 Jan 2019 15:52:49 +0100

ns3 (3.29+dfsg-2) unstable; urgency=medium

  * d/p/include_climit: fix FTBFS on arm, i386, mips and some others.

 -- Martin Quinson <mquinson@debian.org>  Fri, 28 Sep 2018 10:45:57 +0200

ns3 (3.29+dfsg-1) unstable; urgency=medium

  * New upstream release (see /usr/share/doc/ns3/RELEASE_NOTES.gz).

 -- Martin Quinson <mquinson@debian.org>  Thu, 27 Sep 2018 23:50:48 +0200

ns3 (3.28+dfsg-2) unstable; urgency=medium

  * Fix a FTBFS on Hurd, where we cannot remove files that don't exist.
  * Fix a FTBFS on non-linux: don't install the linux-specific files.

 -- Martin Quinson <mquinson@debian.org>  Sun, 24 Jun 2018 16:13:11 +0200

ns3 (3.28+dfsg-1) unstable; urgency=medium

  * New upstream release (see /usr/share/doc/ns3/RELEASE_NOTES.gz).
  * Set myself as a maintainer: our alioth mailing list is dead.
    (Closes: #899619).
  * Bump the standard version to 4.1.4 (no change due)
    - We still have a get-orig-source but it's using uscan as requested
  * d/control: Point the VCS to salsa now that I migrated.

 -- Martin Quinson <mquinson@debian.org>  Sun, 24 Jun 2018 00:34:27 +0200

ns3 (3.27+dfsg-1) unstable; urgency=medium

  * New upstream release (see /usr/share/doc/ns3/RELEASE_NOTES.gz).
  * Drop build-dep on python-pygoocanvas (closes: #785565).
  * New lintian override: this package is not multiarch yet.
  * d/control:
    - Add build-dep on dh-python as we are using it.
    - Use secure URI for Vcs-* fields.
    - Change to Priority: Optional as requested by lintian
  * d/rules: obey the nodoc DEB_BUILD_OPTIONS, if provided.
  * d/rules: use SOURCE_DATE_EPOCH to simplify how be build reproducibly.
  * d/rules: install the libraries correctly wrt multi-arch

 -- Martin Quinson <mquinson@debian.org>  Wed, 24 Jan 2018 20:46:00 +0100

ns3 (3.26+dfsg-1) unstable; urgency=medium

  * New upstream release (see /usr/share/doc/ns3/RELEASE_NOTES.gz).

 -- Martin Quinson <mquinson@debian.org>  Sun, 13 Nov 2016 16:15:11 +0100

ns3 (3.25+dfsg2-3) unstable; urgency=medium

  * Stop building netanim from this sources: it is packaged elsewhere.
    (Closes: #821369)
    The proper solution may be to ask a package removal for the
    deprecated NetAnim package. But not tonight.
  * Don't patch the pkgconfig files to remove -Wl,-Bdynamic.
    We don't build the static libs of NS3 anymore, and it may explain
    why some dependencies appear missing until we install libxml2-dev.
  * Move ns3++ to the libns3-dev package
    d/ctrl: libns3-dev Breaks ns3 (= 3.25+dfsg2-2)
  * libns3-dev: Add a missing dependency on g++ (for ns3++)
  * ns3-python: add missing deps on python-pygraphviz, python-pygoocanvas

 -- Martin Quinson <mquinson@debian.org>  Wed, 20 Apr 2016 00:14:38 +0200

ns3 (3.25+dfsg2-2) unstable; urgency=medium

  * d/ctrl: switch from optional to extra priority because of openmpi
  * d/ctrl: bump standard version to 3.9.8.0 (no change needed)
  * d/rules: Also build netanim, the Qt visualization tool.
    New build depends: qt4-dev-tools, qt4-qmake, libqt4-dev
  * Enable the NS_LOG commands in the release mode that we use.
  * Install the python visualization modules in the right location.
  * Add a ns3++ script to help the compilation of NS3 source files.

 -- Martin Quinson <mquinson@debian.org>  Sun, 17 Apr 2016 08:34:04 +0200

ns3 (3.25+dfsg2-1) unstable; urgency=medium

  * Use upstream waf file instead of our obsolete embeeded copy.
    And unpack properly the binary waf file with uscan.
  * Drop static libraries. Welcome to the 21th century.
  * Don't install *-test.so libraries, only used to test the build.
  * Tighten the dependency of -dev package onto the lib package.

 -- Martin Quinson <mquinson@debian.org>  Sat, 09 Apr 2016 23:23:42 +0200

ns3 (3.25+dfsg-1) unstable; urgency=medium

  * New upstream release (see /usr/share/doc/ns3/RELEASE_NOTES.gz).
  * Override a wrong lintian warning license-problem-non-free-img-lenna
    (Closes: #794863)
  * debian/duplicate-files.sh: Fix a little warning (Closes: #729356)

 -- Martin Quinson <mquinson@debian.org>  Wed, 06 Apr 2016 23:33:55 +0200

ns3 (3.22+dfsg-2) unstable; urgency=medium

  * Add myself to the uploaders.
  * Update build dependencies for GSL 2.x (Closes: #807219)
    Thanks to Bas Couwenberg for the patch.
  * Update the watch file from the sepwatch project.
  * Make the build reproducible by faking the doc generation date
    (Closes: #788478) Thanks to Juan Picca for the patch.
  * Transition the library package for GCC5 (Closes: #791219)
  * Don't build manually the dbg packages. It's automatic nowadays
  * Have libns3-dev depend on libns3-3v5 as it should (Closes: #715096)

 -- Martin Quinson <mquinson@debian.org>  Thu, 07 Jan 2016 23:00:44 +0100

ns3 (3.22+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #746622).
  * Enable openmpi on arm64, ppc64, ppc64el and mips64el (Closes: #760922).
  * Disable doxgen build to reduce -doc size (Closes: #693393).
  * Install examples into -doc package (Closes: #663301).

 -- YunQiang Su <syq@debian.org>  Thu, 14 May 2015 11:32:17 +0800

ns3 (3.17+dfsg-1) unstable; urgency=low

  * New upstream release 3.17.
  * Bump waf to 1.7 and 1.6.

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 19 May 2013 01:00:55 +0800

ns3 (3.16+dfsg1-1) unstable; urgency=low

  * remove duplicate files and do optipng in ns3-doc.
  * d/watch to watch http://www.nsnam.org/release/
  * Imported Upstream version 3.16
  * Bump standard version to 3.9.4
  * Build-depen on libgraphviz-dev to enable visualizer
    python-pygoocanvas, python-pygraphviz to
    build-dep instead of build-dep-indep

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 01 Mar 2013 20:39:22 +0800

ns3 (3.15+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 09 Sep 2012 20:15:00 +0800

ns3 (3.14.1+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 13 Jun 2012 16:13:28 +0800

ns3 (3.13+dfsg-1) unstable; urgency=low

  [ Aron Xu ]:
  	add tag binary and binary-indep,
    for not build doc when --binary-arch (Closes: #654493).
  [ YunQiang Su ]
  	add waf 1.5/1.6 source to debian directory,
    and build waf from there (Closes: #642217).
  [ Upstream ]
    Successfully link with --as-needed option (Closes: #642225).

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 06 Jan 2012 00:35:42 +0800

ns3 (3.13-1) unstable; urgency=low

  * New upstream release.
  * Linked with --as-needed option.

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 24 Dec 2011 18:15:24 +0800

ns3 (3.12.1+dfsg1-5) unstable; urgency=low

  * doesn't depend on procps, read /proc/meminfo directly.
  * build for python2.7 as defaut python.
  * build depend on only default python instead of python-all.
  * bump compat to 9 to use dpkg-buildflags to export
    CFLAGS etc by default like before.

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 02 Oct 2011 04:52:16 +0000

ns3 (3.12.1+dfsg1-4) unstable; urgency=low

  [debian/rules]:
    fix the call of awk: $ -> $$
  [debian/control]:
  	add build depends of procps to get the memory.

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 22 Sep 2011 14:13:34 +0800

ns3 (3.12.1+dfsg1-3) unstable; urgency=low

  [debian/rules]:
    * add -v option to test.py to show more details.
    * use '-j1' option to build when memory is less than 3GiB.
    * disable "--as-needed" temporarily, the upstream claimed
      that it will be fixed in next release.
   [build.py]:
    * drop "--doxygen-no-build", which is not for configure.
    * new build.py with --build-option and "-- --options-for-waf" .
         -- Thanks to Gustavo J. A. M. Carneiro <gjcarneiro@gmail.com>.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 21 Sep 2011 01:45:49 +0800

ns3 (3.12.1+dfsg1-2) unstable; urgency=low

  * fix the issue that doesn't generate on non-x86
    and non-linux arch [ns3-static.diff].

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 19 Sep 2011 18:23:02 +0800

ns3 (3.12.1+dfsg1-1) unstable; urgency=low

  New Upstream version.
  [ Aron Xu ]
  * Correct Vcs-Browser field.

  [ YunQiang Su ]
  * Imported Upstream version 3.12
  * drop , models-doc-ftbfs.diff,
        modules-so-version.diff; fixed in upstream
  * remove build-py-ns3-option.diff and gen-static-libraries.diff,
    use another way to do it: upstream-back/*.
  * add some build-dep-indep the last version lost.(Closes: #634544)
  * Only install python modules for default version(Closes: #628909):
          How to build it for multi versions of python?
  * run test after build (Closes: #630184).
  * transit to dh_python2 (Closes: #637518).
  * New debug packages: libns3-3-dbg and python-ns3-dbg.

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 1 Sep 2011 13:14:23 +0800

ns3 (3.11+dfsg1-1) unstable; urgency=low

  * New Upstream Version
  * rm waf bin file (dfsg) and add waf source files
  * doxygen itself depends on doxygen-latex now (Closes: #616271)
  * Close an invaild FTBFS (Closes: #625011)
  * Remove waf bin file from orig tar
  * More details in debian/copyright

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 27 May 2011 14:26:47 +0800

ns3 (3.9-1) unstable; urgency=low

  * fix dep of libns3-dev,add libns3-3
  * add Build-Conflicts: libmpich2-dev
  * modify descripts (Closes: #579311)
  * fix virtual-network-setup.sh bashism (Closes: #581476)
  * port to Debian Policy 3.9.0

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 21 Aug 2010 14:15:10 +0800

ns3 (3.8-3) unstable; urgency=low

  * Open debug and fix Bug#582926 :Possible uses -march=native
  * fix python-ns3
  * add build dep libxml2-dev libgsl0-dev

 -- YunQiang Su <wzssyqa@gmail.com>  May, 21 Sun 2010 20:09:10 +0800

ns3 (3.8-2) unstable; urgency=low

  * Some arch have no libopenmpi-dev,so remove it on these arch
  * add override_auto_clean

 -- YunQiang Su <wzssyqa@gmail.com>  May, 19 Sun 2010 15:09:10 +0800

ns3 (3.8-1) unstable; urgency=low

  * New Upstream version

 -- YunQiang Su <wzssyqa@gmail.com>  May, 9 Sun 2010 12:22:35 +0800

ns3 (3.7.1-7) unstable; urgency=low

  * Initial release (Closes: #574471)

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 18 Mar 2010 21:28:35 +0800
